<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
    <head>
        <title>Virtual Teacher</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    </head>
    <body>
    <nav class="navbar navbar-expand navbar-light bg-light justify-content-end">
        <a class="navbar-brand col-sm-3" th:href="@{/home}">Virtual Teacher</a>
        <input class="form-control col-sm-6" type="search" placeholder="Search topic, course & teachers" aria-label="Search" style="display:inline;">
        <div class="col-sm-3 text-right">
            <a class="btn btn-link" th:href="@{/login}" sec:authorize="isAnonymous()">Login</a>
            <a class="btn btn-primary" th:href="@{/register}" sec:authorize="isAnonymous()">JOIN NOW</a>
        </div>
    </nav>
    <div class="container">
        <form action="#" th:action="@{'/courses/' + ${course.id} + '/edit'}" th:object="${course}" method="post" enctype="multipart/form-data">
            <div class="row mt-3">
                <div class="col-sm-8">
                    <p class="text-danger" th:if="${lectureAddedException}" th:text="${lectureAddedException}"></p>
                    <p class="text-success" th:if="${lectureAdded}" th:text="${lectureAdded}"></p>
                    <div class="form-group">
                        <input type="text" class="form-control" placeholder="Course Title" th:field="*{title}">
                    </div>
                    <div class="form-group">
                        <select class="form-control" th:field="*{topic.id}">
                            <option th:each="t : ${topics}"
                                    th:value="${t.id}"
                                    th:text="${t.topic}">
                            </option>
                        </select>
                    </div>
                    <div class="form-group">
                        <textarea class="form-control rounded-0" rows="8" placeholder="Course Description" th:field="*{description}"></textarea>
                    </div>
                </div>
                <div class="col-sm-4 float-center">
                    <input type="submit" class="btn btn-primary btn-block" value="Save"/>
                    <img th:src="${course.imagePath}" class="mt-3 img-rounded img-fluid" alt="...">
                    <input type="file" class="mt-3 form-control-file rounded-0" name="file" />
                </div>
            </div>
            <hr>
            <div class="row mt-3 form-group">
                <h2>Program</h2>
                <textarea class="form-control rounded-0" rows="20" th:field="*{program}"></textarea>
            </div>
        </form>
        <hr>
        <h2>Lectures</h2>
        <form class="mt-3" th:if="${course.lectures}" th:each="lecture : ${course.lectures}">
            <hr>
            <div class="mt-3 form-group">
                <input type="text" class="form-control" th:value="${lecture.title}">
            </div>
            <div class="form-group">
                <textarea class="form-control rounded-0" th:text="${lecture.description}"></textarea>
            </div>
            <div class="form-group">
                <input type="text" class="form-control" th:value="${lecture.assignment.title}">
            </div>
        </form>
        <hr>
        <h2>Add a lecture</h2>
        <form class="mt-3" action="#" th:action="@{'/courses/' + ${course.id} + '/lectures/new'}" th:object="${lecture}" method="post" enctype="multipart/form-data">
            <div class="form-group">
                <input type="text" class="form-control" placeholder="Lecture Title" th:field="*{title}">
            </div>
            <div class="form-group">
                <textarea class="form-control rounded-0" rows="20" th:field="*{description}"></textarea>
            </div>
            <div class="form-group">
                <input type="file" class="mt-3 form-control-file rounded-0" name="lectureImage" />
            </div>
            <h3>Video</h3>
            <div class="form-group">
                <input type="file" class="mt-3 form-control-file rounded-0" name="videoFile" />
            </div>
            <h3>Assignment</h3>
            <div class="form-group">
                <input type="text" class="form-control" placeholder="Assignment Title" name="assignmentTitle">
            </div>
            <div class="form-group">
                <input type="file" class="mt-3 form-control-file rounded-0" name="assignmentFile" />
            </div>
            <div>
                <input type="submit" class="row btn btn-primary btn-block" value="Add Lecture"/>
            </div>
        </form>
    </div>
    </body>
</html>